# Create team

> Source: https://elaichi.ai/docs/api-reference/teams/team/createteam/

`POST /team`

Resource: **Team** · API: **Teams**

## Request body

- **`name`** _(string)_
- **`description`** _(string)_

## Response body

- **`id`** _(string)_
- **`name`** _(string)_
- **`description`** _(string,null)_
- **`member_user_ids`** _(array<string>)_
- **`created_at`** _(string)_
- **`updated_at`** _(string)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/team' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name","description":"your_description"}'
```

### JavaScript

```javascript
const body = {
  "name": "your_name",
  "description": "your_description"
};

const response = await fetch('https://api.elaichi.ai/team', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/team"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name",
    "description": "your_description"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
